%define major 6
%define libxi %mklibname xi %major
%define libxi_devel %mklibname xi -d
%define libxi_static_devel %mklibname xi -d -s

Name: libxi
Summary:  X Input Extension Library
Version: 1.1.2
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXi-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Input Extension Library

#-----------------------------------------------------------

%package -n %{libxi}
Summary:  X Input Extension Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxi}
X Input Extension Library

#-----------------------------------------------------------

%package -n %{libxi_devel}
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libxi} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: libxi-devel = %{version}-%{release}
Obsoletes: %mklibname xi 6 -d

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxi_devel}
Development files for %{name}

%files -n %{libxi_devel}
%defattr(-,root,root)
%{_libdir}/libXi.so
%{_libdir}/libXi.la
%{_libdir}/pkgconfig/xi.pc
%{_mandir}/man3/X*

#-----------------------------------------------------------

%package -n %{libxi_static_devel}
Summary: Static development files for %{name}
Group: Development/X11
Requires:  %{libxi_devel} = %{version}-%{release}
Provides:  libxi-static-devel = %{version}-%{release}
Obsoletes: %mklibname xi 6 -d -s

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxi_static_devel}
Static development files for %{name}

%files -n %{libxi_static_devel}
%defattr(-,root,root)
%{_libdir}/libXi.a

#-----------------------------------------------------------

%prep
%setup -q -n libXi-%{version}

%build
%configure2_5x

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -n %{libxi}
%defattr(-,root,root)
%{_libdir}/libXi.so.6
%{_libdir}/libXi.so.6.0.0




%changelog
* Wed Aug 01 2007 Colin Guthrie <cguthrie@mandriva.org> 1.1.2-1mdv2008.0
+ Revision: 57471
- New upstream version 1.1.2
- New library policy

* Thu Jul 05 2007 Colin Guthrie <cguthrie@mandriva.org> 1.1.1-1mdv2008.0
+ Revision: 48530
- New upstream version 1.1.1

* Mon Apr 30 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.4-2mdv2008.0
+ Revision: 19615
- new release


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:17:57 (31598)
- X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 19:54:51 (26912)
- fixed more dependencies

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

